------------------------------------------------------------------------
Release:	ReiLua version 0.8.0		Using Raylib 5.0 and Forked Raygui 4.0
------------------------------------------------------------------------
KEY CHANGES:
	- CHANGE: Process renamed to update to be more inline with naming of raylib and common convention.
	- ADDED: apiScanner.lua for searching unimplemented functions from raylib.
	- ADDED Automation events.
	- CHANGE: Raygui lib callbacks to single table.
	- ADDED OpenGL Stencil management functions.
	- CHANGE: Object libraries like Vector2 optimizations. Separated table argument style for new and set methods.
	Option for pre generated temp objects. There was a lot of overhead on old new method.
	- CHANGE: Use GetApplicationDirectory instead of GetWorkingDirectory for basePath if no path argument given.
	- ADDED Userdata objects can be passed in table. Useful on wrapper libraries. Name should be in camelCase.

DETAILED CHANGES:
	- ADDED: GetBufferElementSize and GetBufferLength.
	- FIXED: Compress_data example.
	- FIXED: GuiGetFont return lightuserdata.
	- FIXED: GuiSetStyle, GuiLoadStyle and GuiLoadStyleDefault sets state->guiDefaultFont to GuiGetFont.
	- ADDED: TextFindIndex.
	- FIXED: SeekMusicStream was not assigned.
	- ADDED: rlEnableStatePointer and rlDisableStatePointer for GRAPHICS_API_OPENGL_11.
	- ADDED: rlBlitFramebuffer and rlEnablePointMode.
	- ADDED: Vector3Project and Vector3Reject.
	- ADDED: IsKeyPressedRepeat, IsGamepadButtonUp, GetGamepadButtonPressed and GetMouseWheelMoveV.
	- ADDED: ImageDrawText.
	- ADDED: DrawTextureEx.
	- ADDED: DrawTriangleStrip3D.
	- ADDED: GenMeshHemiSphere.
	- FIXED: GenMeshCubicmap was not assigned.
	- ADDED: UpdateSound and LoadWaveSamples.
	- ADDED: TextSubtext, TextReplace and TextToPascal.
	- ADDED: Custom frame control functions.
	- REMOVED: GetPixelColor. Deviates too much from raylib function.
	- ADDED: EnableEventWaiting and DisableEventWaiting.
	- CHANGE: GetBufferData takes also position and length arguments.
	- ADDED & CHANGE: ImageText. ImageTextEx is now equivalent to raylib function and old ImageText.
	- ADDED & CHANGE: MeasureText. MeasureTextEx is now equivalent to raylib function and old MeasureText.
	- ADDED: LoadImageFromData.
	- ADDED: Raygui lib tooltip.
	- ADDED: Round.
	- ADDED: PubSub lib.
	- ADDED: Raygui lib tree view.
	- ADDED: Raygui lib examples file browser.
	- CHANGE: Position argument added for GetCodepoint, GetCodepointNext and GetCodepointPrevious.
	- ADDED: glEnable, glDisable, glGetString and glClear.
	- ADDED: Stencil reflection example.
	- ADDED: Math Sign.
	- FIXED: Camera3D lib Fix up down movement invertion when looking up.
	- ADDED: Bitwise operations for cross Lua compatibility.
	- ADDED: GetMeshData.
	- FIXED: GenMeshCustom indices wasn't changing triangleCount.
	- ADDED: GetPlatform.
	- ADDED: Object lib serialization.
	- ADDED: Unload functions clear object to 0 so they would not be ready in Is*Ready.
	- CHANGE: DrawTextBoxed uses lineSpacing.
	- ADDED: GetTextLineSpacing.
	- REMOVED: DrawTextBoxedTinted. DrawTextBoxedEx can do same with much more efficiently.
	- ADDED: DrawTextBoxedEx.

------------------------------------------------------------------------
Release:	ReiLua version 0.7.0		Using Raylib 5.0 and Forked Raygui 4.0
------------------------------------------------------------------------
KEY CHANGES:
	- CHANGE: Switch to Raylib 5.0 and Raygui 4.0.
	- CHANGE: Audio device no longer initialize automatically in case some other device is used.
	- ADDED: More audio device management functions.
	- ADDED: Random values generation functions.
	- ADDED: More Window-related functions.
	- ADDED: Spline functions.
	- CHANGE: Raygui to version 4.0. Gui libs also updated.
	- ADDED: Support for platforms.
	- ADDED: Platform desktop SDL.
	- CHANGE: Renamed event enums. Events are now platform specific.
	- ADDED: SDL Events.
	- ADDED: Experimental GLFW Pen Touch events. Needs glfw PR https://github.com/glfw/glfw/pull/1445.
	- ADDED: Platform specific API documentation generation.
	- ADDED: Platform web.
	- ADDED: Raygui textures with SetShapesTexture.
	- CHANGE: Raygui wrapper library is now object based. Possible to have multiple separated gui systems.
	- ADDED: Raygui wrapper library disabled and styles for each element.
	- ADDED: Files management functions.
	- ADDED: More Model management functions.
	- ADDED: More Model animations management functions.
	- ADDED: 2D lightmap example.
	- ADDED: RLGL Hello triangle example.
	- ADDED: Rest of rlRenderBatch functions.
	- ADDED: DrawTextureNPatchRepeat.
	- ADDED: GuiScrollBar and made it puplic in raygui.h.
	- ADDED: Rest of font loading/unloading functions.
	- CHANGE: GlyphInfo type to userdata.
	- ADDED: GlyphInfo management functions.
	- CHANGE: GuiTabBar works differently to raygui implementation.
	- CHANGE: Raygui lib refactoring.
	- ADDED: Raygui lib extensions property list.
	- ADDED: Text codepoints management functions.
	- ADDED: Rune, UTF8 lib.
	- CHANGE: Raygui styles include properties, texture and font.
	- ADDED: Build option for Lua events that is off by default.

DETAILED CHANGES:
	- REMOVED: DrawLineBezierQuad, DrawLineBezierCubic.
	- REMOVED: GenImageGradientV, GenImageGradientH.
	- ADDED: GenImageGradientLinear and GenImageGradientSquare.
	- ADDED: LoadImageSvg and ExportImageToMemory.
	- ADDED: ImageRotate.
	- ADDED: SetTextLineSpacing.
	- ADDED: LoadSoundAlias and UnloadSoundAlias.
	- ADDED: GetApplicationDirectory.
	- FIXED: Snake example after Vector2Angle change.
	- FIXED: Raygui edit mode selection.
	- CHANGE: Moved glfw headers to GLFW folder.
	- CHANGE: Term globals changed to defines in documentation.
	- CHANGE: Event documentation is now described in c files.
	- ADDED: ExportBufferAsCode.
	- ADDED: GetTextureDefault.
	- CHANGE: Renamed Files management functions to Files system functions as in raylib.
	- CHANGE: Renamed ExportBufferAsCode to ExportDataAsCode.
	- ADDED: BoneInfo.
	- ADDED: Transform.
	- ADDED: GetShaderId.
	- FIXED: rlSetVertexAttribute pointer offset.
	- ADDED: GetImageData.
	- FIXED: CameraLib. Slow lateral movement.
	- ADDED: GetGlyphInfoByIndex and GetGlyphAtlasRecByIndex.
	- ADDED: Raygui lib extensions example.
	- CHANGE: Raygui.h returns textBounds for some controls.
	- CHANGE: Raygui lib changed term element to control to correspond raylib naming.
	- ADDED: LoadBufferFromString, LoadWaveFromMemory and LoadMusicStreamFromMemory.
	- CHANGE: GetGlyphInfo and GetGlyphInfoByIndex return glyphInfo as lightuserdata.
	- ADDED: TextInsert and TextSplit.
	- ADDED: __concat for variable wrapper libraries.

------------------------------------------------------------------------
Release:	ReiLua version 0.6.0		Using Raylib 4.5
------------------------------------------------------------------------
KEY CHANGES:
	- CHANGED: Switch from ID based objects to userdata.
	- CHANGED: Object unloading is handled by Lua garbage collection by default.
	- CHANGED: Rely mostly on luaL_check* functions for arg checking.
	- CHANGED: ModelAnimations are changed to separate ModelAnimation types as in Raylib.
	- ADDED: Userdata objects can be referenced with lightuserdata.
	- ADDED: GC_UNLOAD build time define for enabling/disabling Lua garbage collection for objects.
	Can be checked with IsGCUnloadEnabled
	- ADDED: Shaders management functions.
	- ADDED: Compute shader management and Buffer management.
	- ADDED: More RLGL Initialization functions.
	- ADDED: GlyphInfo type.
	- ADDED: DrawTextEx.
	- CHANGED: DrawText is now DrawTextEx like in Raylib.
	- ADDED: Global variable descriptions for API.
	- CHANGED: Organized functions by putting them in the same order as in Raylib.
	- ADDED: Matrix library.
	- REMOVED: GC_UNLOAD build time define and replaced with flag to change it at runtime.
	- ADDED: Quaternion library.
	- ADDED: Shader buffer storage object management (ssbo).
	- ADDED: Rest of rlgl texture management functions.

DETAILED CHANGES:
	- CHANGED: GenImageColor now takes Vector2 as size.
	- REMOVED: GetTextureType and texture type enums.
	- ADDED: GetRenderTextureTexture and GetRenderTextureDepthTexture.
	- REMOVED: UnloadCamera2D and UnloadCamera3D.
	- ADDED: LoadFontEx takes also fontChars.
	- ADDED: LoadTextureFromData.
	- ADDED: LoadRenderTextureFromData.
	- ADDED: IsRenderTextureReady, IsMaterialReady, IsFontReady, IsModelReady, IsShaderReady,
	IsImageReady, IsWaveReady, IsSoundReady and IsMusicReady.
	- ADDED: UnloadBuffer.
	- ADDED: GetMaterialDefault returns lightuserdata reference to default material.
	- REMOVED: Some examples.
	- ADDED: DrawTextCodepoint and DrawTextCodepoints.
	- ADDED: GetGlyphIndex, GetGlyphInfo and GetGlyphAtlasRec.
	- ADDED: SetWindowIcons, SetWindowOpacity and GetWindowHandle.
	- CHANGED: Merged uluaGet*Index functions to uluaGet* functions.
	- FIXED: LoadFontEx.
	- ADDED: DrawTextBoxed and DrawTextBoxedSelectable From raylib [text] example - Rectangle bounds.
	- ADDED: CompressData, DecompressData, EncodeDataBase64 and DecodeDataBase64.
	- ADDED: GetBufferType and GetBufferSize.
	- ADDED: Compress data example.
	- ADDED: ExportBuffer and LoadBufferFromFile.
	- REMOVED: DrawTextBoxedSelectable.
	- ADDED: DrawTextBoxedTinted.
	- ADDED: GenMeshCubicmap.
	- CHANGED: Organized model functions.
	- ADDED: GetModelBoundingBox.
	- ADDED: DrawModelWires and DrawModelWiresEx.
	- ADDED: LoadMaterials.
	- CHANGED: Organized core functions.
	- CHANGED: Organized shapes, textures, audio, text, lights and gui functions.
	- ADDED: More color and rectangle lib functionality.
	- CHANGED: rlLoadTexture to take Buffer data.
	- ADDED: LoadImageRaw, LoadImageAnim and LoadImageFromMemory.

------------------------------------------------------------------------
Release:	ReiLua version 0.5.0		Using Raylib 4.5
------------------------------------------------------------------------
KEY CHANGES:
	- CHANGED: All ReiLua global variables and functions are now stored in global RL table
	- CHANGED: All examples are now changed to use new RL table method
	- ADDED: doc_parser creates also ReiLua_API.lua that can be used in projects with Lua Language Server
	- CHANGED: Switched to Raylib vertion 4.5. Removed some functions and added others. Main changes to camera3D
	- REVISED: How Lua argumets are handled. Now uluaGet*Index functions can take stack index(positive only)
	Also using positive stack indexing
	- ADDED: Camera3D Lua lib
	- ADDED: Raygui wrapper lib
	- CHANGED: Can now have multiple Music objects like other Raylib objects instead of just one
	- CHANGED: Texture now can be either Texture or RenderTexture. No need to change texture source anymore
	- ADDED: Material getter functions
	- ADDED: Light property functions
	- ADDED: rlgl Framebuffer management (fbo) functions
	- ADDED: rlgl Framebuffer state functions
	- ADDED: rlgl Textures management functions
	- ADDED: Texture and RenderTexture can be referenced as tables
	- ADDED: Camera2D and Camera3D can be referenced as tables
	- ADDED: Camera2D and Camera3D can be referenced as tables
	- ADDED: rlgl New defines
	- ADDED: rlgl Textures state functions
	- ADDED: rlgl Some Render batch management functions
	- ADDED: rlgl Matrix operations functions
	- ADDED: rlgl Vertex level operations
	- ADDED: Draw Textured Polygon Example
	- ADDED: rlgl General render state functions
	- ADDED: LuaJIT compatibility.
	- CHANGED Bitwise operators moved from utillib to bitlib for better luaJIT support.
	- ADDED: logLevelInvalid for bad function calls and invalid data formats.
	- ADDED: rlgl Vertex buffers state.
	- ADDED: rlgl Shader state.
	- ADDED: RL.event function with input events.
	- ADDED: Window events.
	- ADDED: rlgl Matrix state management.
	- ADDED: Buffer userdata object.
	- ADDED: rlgl Vertex buffers management.

Detailed changes:
	- FIXED: uluaGetRay was looking for integers instead of tables
	- REMOVED: SetCameraMode
	- REMOVED: SetCameraPanControl
	- REMOVED: SetCameraAltControl
	- REMOVED: SetCameraSmoothZoomControl
	- REMOVED: SetCameraMoveControls
	- REMOVED: DrawTextureTiled
	- REMOVED: DrawTexturePoly
	- REMOVED: DrawCubeTexture
	- REMOVED: PlaySoundMulti
	- REMOVED: StopSoundMulti
	- REMOVED: GetSoundsPlaying
	- CHANGED: UpdateCamera3D now takes int mode parameter. Same as UpdateCamera in raylib
	- ADDED: UpdateCamera3DPro. Same as UpdateCameraPro in raylib
	- ADDED: BLEND_CUSTOM_SEPARATE
	- ADDED: Vector2LineAngle
	- ADDED: CheckCollisionPointPoly
	- ADDED: ColorTint
	- ADDED: ColorBrightness
	- ADDED: ColorContrast
	- ADDED: GenImagePerlinNoise
	- ADDED: GenImageText
	- CHANGED: DrawLineStrip no longer require pointsCount
	- CHANGED: DrawTriangleFan no longer require pointsCount
	- CHANGED: DrawTriangleStrip no longer require pointsCount
	- FIXED: LoadShaderFromMemory
	- ADDED: GetCamera3DForward
	- ADDED: GetCamera3DUpNormalized
	- ADDED: GetCamera3DRight
	- ADDED: Camera3DMoveForward
	- ADDED: Camera3DMoveUp
	- ADDED: Camera3DMoveRight
	- ADDED: Camera3DMoveToTarget
	- ADDED: Camera3DYaw
	- ADDED: Camera3DPitch
	- ADDED: Camera3DRoll
	- ADDED: GetCamera3DViewMatrix
	- ADDED: GetCamera3DProjectionMatrix
	- ADDED: glBlitFramebuffer
	- ADDED: GuiGetFont
	- FIXED: GuiScrollPanel
	- ADDED: UpdateMusicStream
	- ADDED: SetMusicLooping
	- ADDED: GetMusicLooping
	- ADDED: DrawCapsule and DrawCapsuleWires
	- ADDED: Free Camera3D example
	- REMOVED: SetTextureSource
	- REMOVED: GetTextureSource
	- REMOVED: UnloadRenderTexture
	- ADDED: GetTextureType
	- FIXED: Vector3RotateByAxisAngle was not registered.
	- FIXED: uluaGetBoundingBoxIndex was looking for numbers instead of tables
	- ADDED: IsTextureReady
	- FIXED: UnloadTexture did not set texture id to NULL.
	- ADDED: DrawBillboardPro
	- ADDED: rlGetVersion
	- ADDED: GetMaterialTexture, GetMaterialColor, GetMaterialValue and GetMaterialShader
	- ADDED: SetMaterialParams and GetMaterialParams
	- ADDED: GetTextureId
	- ADDED: ImageDrawCircleLines
	- ADDED: ImageBlurGaussian
	- ADDED: Values for API.md
	- ADDED: GetFontTexture
	- CHANGED: Renamed doc_parser.lua to docgen.lua
	- FIXED: isValidRenderTexture checks that it is TEXTURE_TYPE_RENDER_TEXTURE
	- FIXED: isValidTexture on CreateMaterial
	- CHANGED: Renamed start, end arguments to a, b to avoid using Lua keyword "end" in argument names
	- ADDED: Arguments stored in "RL.arg" array

------------------------------------------------------------------------
Release:	ReiLua version 0.4.0		Using Raylib 4.2
------------------------------------------------------------------------
KEY CHANGES:
	- ADDED: This changelog
	- ADDED: Lua interpreter mode
	- ADDED: Easings extra module
	- ADDED: exit function
	- FIXED: uluaGetNPatchInfo fix for RL_DrawTextureNPatch. Guess this was never tested and did not work at all >:E
	- ADDED: Flag option (-s) for doc_parser.lua for exporting module APIs to separate files
	- ADDED: ReiLuaGui
	- ADDED: ReiLuaGui Examples
	- ADDED: Draw Mesh Instanced Example
	- CHANGED: RL_DrawQuad3DTexture now takes vertex colors instead of just single color

Detailed changes:
	- ADDED: Help argument
	- CHANGED: RL_rlSetLineWidth renamed to RL_rlglSetLineWidth
	- CHANGED: RL_rlGetLineWidth renamed to RL_rlglGetLineWidth
	- FIXED: DrawRectangleGradient V and H expecting wrong arguments
	- ADDED: RL_LoadDirectoryFilesEx
	- FIXED: RL_DrawLineBezierQuad was called RL_DrawLineBezier in API
	- ADDED: Color lib
	- FIXED: RL_DrawEllipse and RL_DrawEllipseLines expecting wrong arguments
	- ADDED: RL_IsPathFile
	- ADDED: RL_SetMaterialShader
	- ADDED: RL_GetFileLength
	- ADDED: RL_LoadFontEx
	- FIXED: RL_ImageAlphaClear expecting wrong arguments
	- ADDED: BLEND_ALPHA_PREMULTIPLY
	- CHANGED: RL_GetWindowSize renamed to RL_GetScreenSize
	- ADDED: RL_GetKeyName and RL_GetKeyScancode. GLFW Functions
	- ADDED: KEY_UNKNOWN
